Bug 571230 - typo in install script
Summary: typo in install script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: noip
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-07 18:21 UTC by Féliciano Matias
Modified: 2010-04-09 04:06 UTC (History)
2 users (show)

Fixed In Version: noip-2.1.9-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:38:58 UTC
Type: ---


Attachments (Terms of Use)
Remove extra space (366 bytes, patch)
2010-03-12 03:32 UTC, Féliciano Matias
no flags Details | Diff

Description Féliciano Matias 2010-03-07 18:21:14 UTC
Version-Release number of selected component (if applicable):

Tested with noip-2.1.9-6.fc13.x86_64

Steps to Reproduce:

# yum install noip
...
Running Transaction
  Installing     : noip-2.1.9-6.fc13.x86_64      1/1 
/var/tmp/rpm-tmp.15OKoA: line 3:  : command not found


Additional info:

There is an extra space in the installation script :
# rpm -q --scripts noip | grep " $"
getent passwd noip >/dev/null || \

Comment 1 Susi Lehtola 2010-03-11 21:23:04 UTC
Can you pinpoint exactly the location where it fails?

I have been aware of this bug for some time, but have never had the time to hunt the bug. I copied the scriptlets straight from the guidelines, which is why I have been baffled by this...

Comment 2 Féliciano Matias 2010-03-12 03:32:28 UTC
Created attachment 399530 [details]
Remove extra space

Remove extra space

Comment 3 Féliciano Matias 2010-03-12 03:33:06 UTC
(In reply to comment #1)
> Can you pinpoint exactly the location where it fails?
> 
> I have been aware of this bug for some time, but have never had the time to
> hunt the bug. I copied the scriptlets straight from the guidelines, which is
> why I have been baffled by this...    

See attachement.

Comment 4 Susi Lehtola 2010-03-12 07:06:30 UTC
Thanks, now I see the problem. Fixed in 2.1.9-7.

Comment 5 Fedora Update System 2010-03-12 10:27:13 UTC
noip-2.1.9-7.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/noip-2.1.9-7.el5

Comment 6 Fedora Update System 2010-03-12 10:27:18 UTC
noip-2.1.9-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/noip-2.1.9-7.fc13

Comment 7 Fedora Update System 2010-03-12 10:27:23 UTC
noip-2.1.9-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/noip-2.1.9-7.fc12

Comment 8 Fedora Update System 2010-03-12 10:27:28 UTC
noip-2.1.9-7.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/noip-2.1.9-7.el4

Comment 9 Fedora Update System 2010-03-13 02:23:50 UTC
noip-2.1.9-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update noip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/noip-2.1.9-7.fc13

Comment 10 Fedora Update System 2010-03-13 02:27:30 UTC
noip-2.1.9-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update noip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/noip-2.1.9-7.fc12

Comment 11 Fedora Update System 2010-03-16 19:33:15 UTC
noip-2.1.9-7.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update noip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/noip-2.1.9-7.el5

Comment 12 Fedora Update System 2010-03-16 19:35:21 UTC
noip-2.1.9-7.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update noip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/noip-2.1.9-7.el4

Comment 13 Féliciano Matias 2010-03-17 00:00:43 UTC
Bug fixed here.
Thanks.

Comment 14 Susi Lehtola 2010-03-17 07:13:19 UTC
No, thank you for the debugging :)

Comment 15 Fedora Update System 2010-04-01 01:38:53 UTC
noip-2.1.9-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-02 02:40:49 UTC
noip-2.1.9-7.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-02 02:41:01 UTC
noip-2.1.9-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-09 04:06:07 UTC
noip-2.1.9-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.